DACS_VERSION(8) | DACS Web Services and CGI | DACS_VERSION(8)

## NAME

dacs_version — display DACS version information

## SYNOPSIS

`dacs_version` [`dacsoptions`]

## DESCRIPTION

This program is part of the DACS suite.

The dacs_version web service displays version information about DACS and other third-party packages that have been compiled into DACS.

The `FORMAT` argument (see dacs.services(8)) determines the type of output, with the default being HTML, using the style sheet dacs_version.css. If XML output is selected, a document conforming to dacs_version.dtd is returned. `JSON` (RFC 7159) is also supported.

### Security

Because installation and build details that are displayed could be taken advantage of by an attacker, the default DACS ACL restricts use of this web service to a DACS administrator.

### Note

This program is also available as a DACS utility, dacsversion(1). Because dacs_admin(8) provides the same functionality and more, dacs_version may be removed in a future release.

## OPTIONS

### Web Service Arguments

The standard CGI arguments are understood.

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred.

## SEE ALSO

dacs(1)

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2014 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACS_VERSION(8)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacs_version.8.xml 2759 2014-12-31 18:02:17Z brachman $